<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GRAM Protocol</title>
    <filename>main</filename>
  </compound>
  <compound kind="page">
    <name>globus_gram_protocol</name>
    <title>GRAM Protocol Definition</title>
    <filename>globus_gram_protocol</filename>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_delegation</docanchor>
    <docanchor file="globus_gram_protocol">globus_gram_protocol_job_state_updates</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_functions</name>
    <title>Functions</title>
    <filename>group__globus__gram__protocol__functions.html</filename>
    <subgroup>globus_gram_protocol_error_messages</subgroup>
    <subgroup>globus_gram_protocol_framing</subgroup>
    <subgroup>globus_gram_protocol_io</subgroup>
    <subgroup>globus_gram_protocol_pack</subgroup>
    <subgroup>globus_gram_protocol_unpack</subgroup>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_signal</name>
    <title>GRAM Signals</title>
    <filename>group__globus__gram__protocol__job__signal.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_job_signal_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL</name>
      <anchor>gga0a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND</name>
      <anchor>gga0a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME</name>
      <anchor>gga0a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY</name>
      <anchor>gga0a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST</name>
      <anchor>gga0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND</name>
      <anchor>gga0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE</name>
      <anchor>gga0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE</name>
      <anchor>gga0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER</name>
      <anchor>gga0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END</name>
      <anchor>gga0a9</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="/builddir/build/BUILD/globus_gram_protocol-9.7/globus_gram_protocol_constants.h">globus_gram_protocol_job_signal_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_job_state</name>
    <title>GRAM Job States</title>
    <filename>group__globus__gram__protocol__job__state.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_job_state_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_PENDING</name>
      <anchor>gga0a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ACTIVE</name>
      <anchor>gga0a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_FAILED</name>
      <anchor>gga0a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_DONE</name>
      <anchor>gga0a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_SUSPENDED</name>
      <anchor>gga0a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_UNSUBMITTED</name>
      <anchor>gga0a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_IN</name>
      <anchor>gga0a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_STAGE_OUT</name>
      <anchor>gga0a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_GRAM_PROTOCOL_JOB_STATE_ALL</name>
      <anchor>gga0a18</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="group__globus__gram__protocol__job__state">globus_gram_protocol_job_state_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error</name>
    <title>GRAM Error codes</title>
    <filename>group__globus__gram__protocol__error.html</filename>
    <member kind="enumeration">
      <name>globus_gram_protocol_error_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <docanchor file="/builddir/build/BUILD/globus_gram_protocol-9.7/globus_gram_protocol_constants.h">globus_gram_protocol_error_t</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_error_messages</name>
    <title>Error Messages</title>
    <filename>group__globus__gram__protocol__error__messages.html</filename>
    <member kind="function">
      <type>const char *</type>
      <name>globus_gram_protocol_error_string</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(int error_code)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_7_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(const char *message)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_error_10_hack_replace_message</name>
      <anchorfile>group__globus__gram__protocol__error__messages.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(const char *message)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_framing</name>
    <title>Message Framing</title>
    <filename>group__globus__gram__protocol__framing.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_request</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(const char *url, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_frame_reply</name>
      <anchorfile>group__globus__gram__protocol__framing.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(int code, const globus_byte_t *msg, globus_size_t msgsize, globus_byte_t **framedmsg, globus_size_t *framedsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_io</name>
    <title>Message I/O</title>
    <filename>group__globus__gram__protocol__io.html</filename>
    <member kind="typedef">
      <type>unsigned long</type>
      <name>globus_gram_protocol_handle_t</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga9</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_gram_protocol_hash_entry_s</type>
      <name>globus_gram_protocol_extension_t</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga10</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_setup_attr</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(globus_io_attr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_bool_t</type>
      <name>globus_gram_protocol_authorize_self</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(gss_ctx_id_t context)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_allow_attach</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(char **url, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_callback_disallow</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(char *url)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_post_delegation</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(const char *url, globus_gram_protocol_handle_t *handle, globus_io_attr_t *attr, globus_byte_t *message, globus_size_t message_size, gss_cred_id_t cred_handle, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 req_flags, OM_uint32 time_req, globus_gram_protocol_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_reply</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, int code, globus_byte_t *message, globus_size_t message_size)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_accept_delegation</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 req_flags, OM_uint32 time_req, globus_gram_protocol_delegation_callback_t callback, void *arg)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_get_sec_context</name>
      <anchorfile>group__globus__gram__protocol__io.html</anchorfile>
      <anchor>ga8</anchor>
      <arglist>(globus_gram_protocol_handle_t handle, gss_ctx_id_t *context)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_pack</name>
    <title>Message Packing</title>
    <filename>group__globus__gram__protocol__pack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(int job_state_mask, const char *callback_url, const char *rsl, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(int status, const char *job_contact, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_job_request_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(int status, const char *job_contact, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(const char *status_request, globus_byte_t **query, globus_size_t *querysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(int job_status, int failure_code, int job_failure_code, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_status_update_message_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>(char *job_contact, int status, int failure_code, globus_hashtable_t *extensions, globus_byte_t **reply, globus_size_t *replysize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_pack_version_request</name>
      <anchorfile>group__globus__gram__protocol__pack.html</anchorfile>
      <anchor>ga8</anchor>
      <arglist>(char **request, size_t *requestsize)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_gram_protocol_unpack</name>
    <title>Message Unpacking</title>
    <filename>group__globus__gram__protocol__unpack.html</filename>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, int *job_state_mask, char **callback_url, char **description)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_job_request_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *status, char **job_contact, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_request</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(const globus_byte_t *query, globus_size_t querysize, char **status_request)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, int *job_status, int *failure_code, int *job_failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_reply_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga6</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, char **job_contact, int *status, int *failure_code)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>globus_gram_protocol_unpack_status_update_message_with_extensions</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga7</anchor>
      <arglist>(const globus_byte_t *reply, globus_size_t replysize, globus_hashtable_t *extensions)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>globus_gram_protocol_hash_destroy</name>
      <anchorfile>group__globus__gram__protocol__unpack.html</anchorfile>
      <anchor>ga8</anchor>
      <arglist>(globus_hashtable_t *message_hash)</arglist>
    </member>
  </compound>
</tagfile>
